> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tournament Details

> Fetch detailed information about a specific tournament.



## OpenAPI

````yaml /api-reference/tournaments/openapi.json get /tournaments/{id}
openapi: 3.0.0
info:
  title: Tournaments
  version: 1.0.0
  description: API endpoints for accessing tournaments
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/{id}:
    get:
      summary: Get Tournament Details
      description: Fetch detailed information about a specific tournament.
      operationId: getTournamentById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the tournament
        - name: externalId
          in: query
          required: false
          schema:
            type: string
          description: >-
            External ID of the user. If provided, user-specific fields like
            'hasJoined' will be populated.
      responses:
        '200':
          description: Tournament fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTournamentResponse'
              example:
                success: true
                message: Tournament fetched successfully
                data:
                  tournamentId: 91598fb6-12f0-4fe1-aaec-6b408ab92565
                  tournamentName: Auto Test Tournament
                  gameId: 03401d21-5109-4991-a39c-551a05bfa176
                  gameName: BGMI
                  description: >-
                    This is an auto-filled tournament used for rapid testing
                    scenarios.
                  enrollmentLimit: 32
                  maxTeamMembers: 4
                  minTeamMembers: 2
                  startTime: '2026-02-13T12:10:00Z'
                  endTime: '2026-02-15T12:10:00Z'
                  registrationDeadline: '2026-02-13T11:10:00Z'
                  registrationOpen: true
                  isOnline: true
                  status: 1
                  matchType: 2
                  tournamentFormat: null
                  teamType: squad
                  color: '#2563eb'
                  prizePool: 5000
                  entryFee: 50
                  rules: '{"test":"test","test2":"test2"}'
                  prizeDistribution: >-
                    {"positions":[{"prize":"1st
                    Place","amount":0}],"special":[]}
                  pointsSystem: >-
                    {"pointsPerFinish":1,"pointsPerKnock":0,"placementPoints":{"1":10,"2":6,"3":5,"4":4,"5":3,"6":2,"7":1,"8":1}}
                  bracketData: null
                  watchUrls: null
                  joinLink: null
                  image: null
                  coverImage: null
                  isTrending: false
                  isFeatured: true
                  isPasswordProtected: false
                  instantRegistrations: false
                  winnerTeamId: null
                  winnerTeamName: null
                  organiserId: ed749113-00da-4413-ba11-f62e1140cabb
                  organiserName: Dhruv Patel
                  organiserImage: null
                  entryFeeCurrencyId: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
                  entryFeeCurrencyName: d
                  entryFeeCurrencySymbol: $
                  prizePoolCurrencyId: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
                  prizePoolCurrencyName: d
                  prizePoolCurrencySymbol: $
                  teamsJoinedCount: 0
                  hasJoined: null
                  canJoin: null
                  cannotJoinReason: null
                meta:
                  traceId: 00-ea52a8e1d11a32b60520c17c0818c717-b4ef7d2e5d5ccc9c-00
                  elapsedMs: 5.7
                  serverTimestamp: '2026-02-12T11:38:31.8482596Z'
components:
  schemas:
    GetTournamentResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/TournamentDetail'
        meta:
          $ref: '#/components/schemas/Meta'
    TournamentDetail:
      type: object
      properties:
        tournamentId:
          type: string
          example: 91598fb6-12f0-4fe1-aaec-6b408ab92565
        tournamentName:
          type: string
          example: Auto Test Tournament
        gameId:
          type: string
          example: 03401d21-5109-4991-a39c-551a05bfa176
        gameName:
          type: string
          example: BGMI
        description:
          type: string
          example: This is an auto-filled tournament used for rapid testing scenarios.
        enrollmentLimit:
          type: integer
          example: 32
        maxTeamMembers:
          type: integer
          example: 4
        minTeamMembers:
          type: integer
          example: 2
        startTime:
          type: string
          format: date-time
          example: '2026-02-13T12:10:00Z'
        endTime:
          type: string
          format: date-time
          example: '2026-02-15T12:10:00Z'
        registrationDeadline:
          type: string
          format: date-time
          example: '2026-02-13T11:10:00Z'
        registrationOpen:
          type: boolean
          example: true
        isOnline:
          type: boolean
          example: true
        status:
          type: integer
          example: 1
        matchType:
          type: integer
          example: 2
        tournamentFormat:
          type: string
          nullable: true
          example: null
        teamType:
          type: string
          example: squad
        color:
          type: string
          example: '#2563eb'
        prizePool:
          type: number
          example: 5000
        entryFee:
          type: number
          example: 50
        rules:
          type: string
          example: '{"test":"test","test2":"test2"}'
        prizeDistribution:
          type: string
          example: '{"positions":[{"prize":"1st Place","amount":0}],"special":[]}'
        pointsSystem:
          type: string
          example: >-
            {"pointsPerFinish":1,"pointsPerKnock":0,"placementPoints":{"1":10,"2":6,"3":5,"4":4,"5":3,"6":2,"7":1,"8":1}}
        bracketData:
          type: object
          nullable: true
          example: null
        watchUrls:
          type: array
          items:
            type: string
          nullable: true
          example: null
        joinLink:
          type: string
          nullable: true
          example: null
        image:
          type: string
          nullable: true
          example: null
        coverImage:
          type: string
          nullable: true
          example: null
        isTrending:
          type: boolean
          example: false
        isFeatured:
          type: boolean
          example: true
        isPasswordProtected:
          type: boolean
          example: false
        instantRegistrations:
          type: boolean
          example: false
        winnerTeamId:
          type: string
          nullable: true
          example: null
        winnerTeamName:
          type: string
          nullable: true
          example: null
        organiserId:
          type: string
          example: ed749113-00da-4413-ba11-f62e1140cabb
        organiserName:
          type: string
          example: Dhruv Patel
        organiserImage:
          type: string
          nullable: true
          example: null
        entryFeeCurrencyId:
          type: string
          example: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
        entryFeeCurrencyName:
          type: string
          example: d
        entryFeeCurrencySymbol:
          type: string
          example: $
        prizePoolCurrencyId:
          type: string
          example: 10282b10-2b44-4bbb-9c1d-155e0bb46e79
        prizePoolCurrencyName:
          type: string
          example: d
        prizePoolCurrencySymbol:
          type: string
          example: $
        teamsJoinedCount:
          type: integer
          example: 0
        hasJoined:
          type: boolean
          nullable: true
          example: null
        canJoin:
          type: boolean
          nullable: true
          example: null
        cannotJoinReason:
          type: string
          nullable: true
          example: null
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````